> ## Documentation Index
> Fetch the complete documentation index at: https://developers.scrunch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Clear Signal Reaction

> Remove the calling user's reaction on a signal's stable identity. Requires a **user token** (JWT); API keys receive 403.



## OpenAPI

````yaml /api-reference/openapi.json delete /{brand_id}/signals/{signal_id}/reaction
openapi: 3.1.0
info:
  title: Scrunch Data API
  version: 0.1.0
servers:
  - url: https://api.scrunchai.com/v1
security: []
paths:
  /{brand_id}/signals/{signal_id}/reaction:
    delete:
      tags:
        - signals
      summary: Clear Signal Reaction
      description: >-
        Remove the calling user's reaction on a signal's stable identity.
        Requires a **user token** (JWT); API keys receive 403.
      operationId: clearSignalReaction
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: integer
            title: Brand Id
        - name: signal_id
          in: path
          required: true
          schema:
            type: integer
            title: Signal Id
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer:
            - query
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````

## Related topics

- [Set Signal Reaction](/api-reference/signals/set-signal-reaction.md)
- [List Signal Reactions](/api-reference/signals/list-signal-reactions.md)
- [Signals API: Detected changes in AI visibility](/api-reference/signals/overview.md)
